#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	long long int a, b, c, najv;
	int bc1=1, bc2=1, bc3=1;
	cin >> a >> b >> c;
	long long int d=a;
	long long int e=b;
	long long int f=c;
	while (d>=10 || e>=10 || f>=10){
		if(d>=10){
			d=d/10;
			bc1++;
		}
		if(e>=10){
			e=e/10;
			bc2++;
		}
		if(f>=10){
			f=f/10;
			bc3++;
		}		
	}
	long long int br1=a*pow(10,bc2+bc3)+b*pow(10,bc3)+c;
	long long int br2=a*pow(10,bc2+bc3)+c*pow(10,bc2)+b;
	long long int br3=b*pow(10,bc1+bc3)+a*pow(10,bc3)+c;
	long long int br4=b*pow(10,bc1+bc3)+c*pow(10,bc1)+a;
	long long int br5=c*pow(10,bc2+bc1)+b*pow(10,bc1)+a;
	long long int br6=c*pow(10,bc2+bc1)+a*pow(10,bc2)+b;
	najv=br1;
	if(najv<br2)
	najv=br2;
	if(najv<br3)
	najv=br3;
	if(najv<br4)
	najv=br4;
	if(najv<br5)
	najv=br5;
	if(najv<br6)
	najv=br6;
	cout<<najv<<endl;
	return 0;
}